Bug 824411 - (CVE-2012-2392) CVE-2012-2392 wireshark: Infinite and large loops in ANSI MAP, ASF, IEEE 802.11, IEEE 802.3, and LTP dissectors (wnpa-sec-2012-08)
CVE-2012-2392 wireshark: Infinite and large loops in ANSI MAP, ASF, IEEE 802....
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120521,reported=2...
: Security
Depends On: 824426 994924 1004712
Blocks: 824434 974906
  Show dependency treegraph
 
Reported: 2012-05-23 08:23 EDT by Jan Lieskovsky
Modified: 2016-11-08 11:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 22:12:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-05-23 08:23:18 EDT
Infinite loop denial of service flaws were reported against various Wireshark dissectors:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6805 (802.11)
[2] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7118 (802.3)
[3] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7119 (ANSIMAP)
[4] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7120 (ASF)
[5] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7124 (LTP)

A remote attacker could provide a specially-crafted packet capture file, which once opened in Wireshark could lead to denial of service.

Upstream advisory:
[6] http://www.wireshark.org/security/wnpa-sec-2012-08.html
Comment 1 Jan Lieskovsky 2012-05-23 08:49:08 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 824426]
Comment 2 Jan Lieskovsky 2012-05-23 08:57:03 EDT
CVE Request:
[10] http://www.openwall.com/lists/oss-security/2012/05/23/10
Comment 3 Kurt Seifried 2012-05-23 14:19:32 EDT
Added CVE as per http://www.openwall.com/lists/oss-security/2012/05/23/17
Comment 4 Jan Lieskovsky 2012-05-24 10:15:05 EDT
IPMI dissector case yet:
[11] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7123
Comment 6 Huzaifa S. Sidhpurwala 2012-05-30 00:57:38 EDT
From the list of affected dissectors mentioned in comment #0, only 2 of them affect the version of wireshark shipped with Red Hat Enterprise Linux 6, namely the ANSIMAP and HCIEVT are affected only.
Comment 7 Jan Lieskovsky 2012-07-02 06:39:16 EDT
Additional two CVE identifiers have been assigned to set of dissector flaws, as originally listed in this bugzilla:

1) CVE-2012-3825 (bug #836960) for the BACapp and Bluetooth HCI case,
2) CVE-2012-3826 (bug #836961) for the R3 dissector case.

The CVE-2012-2392 CVE identifier got described as follows:
----------------------------------------------------------
Wireshark 1.4.x before 1.4.13 and 1.6.x before 1.6.8 allows remote attackers to cause a denial of service (infinite loop) via vectors related to the (1) ANSI MAP, (2) ASF, (3) IEEE 802.11, (4) IEEE 802.3, and (5) LTP dissectors.

with references:
----------------
http://www.wireshark.org/security/wnpa-sec-2012-08.html
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6805
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7118
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7119
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7120
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7124
Comment 9 errata-xmlrpc 2013-11-21 02:29:00 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1569 https://rhn.redhat.com/errata/RHSA-2013-1569.html
Comment 10 Huzaifa S. Sidhpurwala 2013-11-21 22:10:50 EST
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.